#include <stdio.h>

main()                          /* Typ-Konvertierung */
{  
    double d,x; 
    float f; 
    long l; 
    int i,y; 
    char c;

    i = l = f = d = 100/3;
    printf("i = %d, l = %ld, f = %f, d = %f\n",i,l,f,d);
    d = i = l = f = 100000/3;
    printf("i = %d, l = %ld, f = %f, d = %f\n",i,l,f,d);
    d=3.2; 
    i=2; 
    x = (y=d+i)/2;
    printf("y = %d ; x = %f\n", y, x);
    c = '2'; 
    printf("%d \n", c);
}
